=== src/modules/actioneditor/CMakeLists.txt ===
# CMakeLists for src/modules/actioneditor

set(kviactioneditor_SRCS
	ActionEditor.cpp
	libkviactioneditor.cpp
)

set(kvi_module_name kviactioneditor)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)
