=== src/modules/avatar/CMakeLists.txt ===
# CMakeLists for src/modules/avatar

set(kviavatar_SRCS
	libkviavatar.cpp
)

set(kvi_module_name kviavatar)
include(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)
