=== debian/changelog ===
kvirc (4:4.9.3~git20180106+dfsg-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:18 +0000

kvirc (4:4.9.3~git20180106+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (e2a7b9ec).
  * Bump Standards-Version to 4.1.3 (no change needed).
  * Switch to the debhelper compat level 11.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 07 Jan 2018 01:21:16 +0500

kvirc (4:4.9.2~git20171211+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (ed2a1568).
    + adds OpenSSL 1.1 support
  * Build with OpenSSL 1.1 (Closes: #858990).
  * Bump Standards-Version to 4.1.2 (no change needed).

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 11 Dec 2017 21:48:56 +0500

kvirc (4:4.9.2~git20171106+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (33fcac55).
  * Set Rules-Requires-Root: no.
  * Remove trailing whitespace from debian/changelog.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 06 Nov 2017 17:46:40 +0500

kvirc (4:4.9.2~git20171002+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream snapshot (4bbda1e5).
  * Bump Standards-Version to 4.1.1 (no change needed).
  * Drop not currently helpful debian/watch.
  * Add DEP3 headers to enable-optimisation-with-debug.patch.
  * Remove data/doctemplates/rfc2812.template from the source package.
  * Replace links to the internal RFC2812 page with links to
    https://tools.ietf.org/html/rfc2812 in the help system.
  * Drop obsolete bzip2-related debian/source/options.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 14 Oct 2017 00:47:43 +0500

kvirc (4:4.9.2~git20170827-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental.
  * Add myself to Uploaders.
  * Package the current development snapshot, using Qt5 (Closes: #784490,
    #872289).
    + doesn't install /usr/share/kde4/apps/kvirc/kvirc.notifyrc and
      /usr/share/kde4/services/irc*.protocol
  * Update the B-D accordingly.
  * Update the cmake B-D minimum version to 3.1.0.
  * Don't use -Wl,--no-undefined as it doesn't work with the modules.
  * Don't install anything into /usr/share/pixmaps.
  * Install /usr/share/mime/packages/kvirc.xml manually as the upstream
    currently doesn't do that.
  * Update the expression for -DMANUAL_REVISION to work with git snapshot
    versions.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 27 Aug 2017 19:34:16 +0500
