=== debian/changelog ===
kvirc (4:4.9.3~git20180404+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (98f9af6a).
    + reproducibility improvements
  * Update Vcs-* URLs.
  * Drop the no-symbols-control-file override.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 04 Apr 2018 21:27:33 +0500
