=== debian/control ===
--- 
+++ 
@@ -28,15 +28,14 @@
  zlib1g-dev,
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
  Kai Wasserbäch <curan@debian.org>,
  Mark Purcell <msp@debian.org>,
  Andrey Rahmatullin <wrar@debian.org>
 Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kvirc.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kvirc.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/kvirc.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/kvirc
 Homepage: http://www.kvirc.de/
 Rules-Requires-Root: no
